<template lang="html">
  <div class="form-select" :class="{'has-content':value}">
    <span v-if="label" class="placeholder">{{ label }}</span>
    <select @change="change">
      <option v-for="option in options" :value="option.value" :selected="selectedOption(option)">{{ option.label }}</option>
    </select>
  </div>
</template>

<script>
export default {
  props: ['options','label','value'],
  data() {
    return {
      selected: null,
    };
  },
  methods: {
    change(e) {
      const selected = e.target.value;
      const option = this.options.find((option) => {
        return selected === option.value;
      });
      this.$emit("input", option.value);
    },
    selectedOption(option) {
      if (this.value) {
        return option.value === this.value;
      }
      return false;
    },
  },
}
</script>
